---
date: 2022-03-10T08:00:00+06:00
title: "Arduino: 'stk500_recv(): programmer is not responding' on Arch/Manjaro Linux"
authors: ["flinner"]
---
# Arduino stk500_recv(): programmer is not responding!

This stupid error just wouldn't go away easily :(

tl;dr: uninstall `brltty` 

```bash
pacman -Rns brltty

```


# What to debug?

You should see that under `Tools -> Port` a `/tty/USBn`, if you *don't*
see it, then this post is for you! (`ttyS4` isn't enough (or doesn't
matter ?))

![](correct-tty-usb0.png)



# How to debug?
Launch `dmesg` to listen to all the cool logs :)

```bash
sudo dmesg -w
```

Now, disconnect your arduino and connect it, read the error before the
lines that says `device disconnected`.

```
ch341: device disconnected

```

in my case, it was  line number `5`

```
[  1 ] ch341 1-4:1.0: ch341-uart converter detected
[  2 ] ch341-uart ttyUSB0: break control not supported, using simulated break
[  3 ] usb 1-4: ch341-uart converter now attached to ttyUSB0
[  4 ] input: BRLTTY 6.4 Linux Screen Driver Keyboard as /devices/virtual/input/input32
[  5 ] usb 1-4: usbfs: interface 0 claimed by ch341 while 'brltty' sets config #1
[  6 ] ch341-uart ttyUSB0: ch341-uart converter now disconnected from ttyUSB0
[  7 ] ch341 1-4:1.0: device disconnected

```


Googling for "interface 0 claimed by ch341 while 'brltty' sets config"
lead me to this [arch forum post](https://bbs.archlinux.org/viewtopic.php?id=269975).


```
pacman -Rns brltty
```

And thats it!

# Search words

Might help other find this post :)

- Artix linux stk500_recv(): programmer is not responding!
- Manjaro linux stk500_recv(): programmer is not responding!
- Arch linux linux stk500_recv(): programmer is not responding!
- [Error Linked in Arduino's Forums](https://forum.arduino.cc/t/avrdude-stk500_recv-programmer-is-not-responding/585181)
- [Stack overflow](https://stackoverflow.com/questions/19765037/arduino-sketch-upload-issue-avrdude-stk500-recv-programmer-is-not-respondi?page=2&tab=scoredesc)
